Firefox 3.5 support added

You might be using the Firefox plugin to add online bookmarks to your easyBM account much more easily. If you have already upgraded or are planning to upgrade your Firefox to the latest 3.5 version, you should download the latest version of the plugin here. If you download the plugin through Firefox, it will automatically prompt you to install the same.